Package org.apache.jasper.compiler

## Class BeanRepository

- java.lang.Object
- - org.apache.jasper.compiler.BeanRepository

    public class BeanRepository
    extends java.lang.Object

Repository of {page, request, session, application}-scoped beans

Author:
  Mandar Raje, Remy Maucherat

### Constructor Summary

Constructors
`BeanRepository​(java.lang.ClassLoader loader, ErrorDispatcher err)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBean​(org.apache.jasper.compiler.Node.UseBean n, java.lang.String s, java.lang.String type, java.lang.String scope)`
`boolean` `checkVariable​(java.lang.String bean)`
`java.lang.Class<?>` `getBeanType​(java.lang.String bean)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanRepository

    public BeanRepository​(java.lang.ClassLoader loader,
                          ErrorDispatcher err)

Constructor.

Parameters:
  `loader` - The class loader
  `err` - The error dispatcher that will be used to report errors

### Method Detail

#### addBean

    public void addBean​(org.apache.jasper.compiler.Node.UseBean n,
                        java.lang.String s,
                        java.lang.String type,
                        java.lang.String scope)
                 throws JasperException

Throws:
  `JasperException`

#### getBeanType

    public java.lang.Class<?> getBeanType​(java.lang.String bean)
                                   throws JasperException

Throws:
  `JasperException`

#### checkVariable

    public boolean checkVariable​(java.lang.String bean)